Skip to Content

List flows

Returns the organization's flows, newest first, each with its current version. Request: GET /v1/whatsapp/flows. Scope: templates:read.

GET
/v1/whatsapp/flows

Returns the organization's flows, newest first, each with its current version.

Authorization

apiKey
headerx-api-key<token>

Response Body

WhatsAppFlowList

application/json
  1. response
data*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsappFlows.list({});
Example Response
{
  "data": [
    {
      "id": "string",
      "projectId": "string",
      "handle": "string",
      "path": "string",
      "categories": [
        "SIGN_UP"
      ],
      "endpoint": {
        "url": "string",
        "updatedAt": "string"
      },
      "currentVersion": {
        "id": "string",
        "flowId": "string",
        "number": -9007199254740991,
        "commitSha": "string",
        "digest": "string",
        "jsonVersion": "string",
        "screens": [
          "string"
        ],
        "dataExchange": true,
        "createdAt": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Related documentation